def read_properties_file(file_path):
    properties = {}
    with open(file_path, 'r', encoding='utf-8') as file:
        for line in file:
            if '=' in line:
                key, value = line.split('=', 1)
                properties[key.strip()] = value.strip()
    return properties

def write_properties_file(file_path, properties):
    with open(file_path, 'a', encoding='utf-8') as file:
        for key, value in properties.items():
            file.write(f"{key} = {value}\n")

def merge_properties_files(file1_path, file2_path):
    properties1 = read_properties_file(file1_path)
    properties2 = read_properties_file(file2_path)

    missing_properties = {key: value for key, value in properties2.items() if key not in properties1}

    if missing_properties:
        write_properties_file(file1_path, missing_properties)
        print(f"Added {len(missing_properties)} new properties to {file1_path}")
    else:
        print("No new properties to add.")

# Пример использования
file1_path = 'Bundle_ru.properties'
file2_path = 'Bundle_ru_.properties'

merge_properties_files(file1_path, file2_path)
